<!-- Modal to add new metadata format -->
<div id="mdfModal" class="modal fade" tabindex="-1" role="dialog">
	<div class="modal-dialog modal-lg">
		<form class="form-horizontal"
			ng-submit="saveExportMetadataFormat(modalMdf.prefix, modalMdf)">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal">&times;</button>
					<h4 class="modal-title">New OAI Metadata Format</h4>
				</div>
				<div class="modal-body">


					<div class="form-group">
						<label for="prefix" class="control-label col-lg-2">Prefix</label>
						<div class="col-lg-10">
							<input class="form-control" ng-model="modalMdf.prefix"
								id="prefix" type="text" />
						</div>
					</div>

					<div class="form-group">
						<label for="schema" class="control-label col-lg-2">Schema</label>
						<div class="col-lg-10">
							<input class="form-control" ng-model="modalMdf.schema"
								id="schema" type="text" />
						</div>
					</div>

					<div class="form-group">
						<label for="namespace" class="control-label col-lg-2">Namespace</label>
						<div class="col-lg-10">
							<input class="form-control" ng-model="modalMdf.namespace"
								id="namespace" type="text" />
						</div>
					</div>

					<div class="form-group">
						<label class="control-label col-lg-2">Source Format</label>
						<div class="col-lg-3">
							<div class="input-group">
								<span class="input-group-addon">Name:</span> <input
									class="form-control" ng-model="modalMdf.sourceFormatName"
									placeholder="name" type="text" />
							</div>
						</div>
						<div class="col-lg-3">
							<div class="input-group">
								<span class="input-group-addon">Layout:</span> <input
									class="form-control" ng-model="modalMdf.sourceFormatLayout"
									placeholder="layout" type="text" />
							</div>
						</div>
						<div class="col-lg-4">
							<div class="input-group">
								<span class="input-group-addon">Interpretation:</span> <input
									class="form-control"
									ng-model="modalMdf.sourceFormatInterpretation"
									placeholder="interpretation" type="text" />
							</div>
						</div>
					</div>

					<div class="form-group">
						<label for="query" class="control-label col-lg-2">Base
							query</label>
						<div class="col-lg-10">
							<input class="form-control" ng-model="modalMdf.baseQuery"
								id="query" type="text" />
						</div>

					</div>
					<div class="form-group">
						<label class="control-label col-lg-2" for="tds">Transformation
							Rule</label>
						<div class="col-lg-10">
							<div class="select">
								<select id="tds" ng-model="modalMdf.transformationRuleID"
									class="form-control">
									<option value=""
										ng-selected="equals(modalMdf.transformationRuleID,'')">--
										no rule --</option>
									<option ng-repeat="rule in tdsRules" value="{{rule.id}}"
										ng-selected="equals(rule.id,modalMdf.transformationRuleID)">{{rule.title}}</option>
								</select>
							</div>
						</div>
					</div>

					<div class="form-group">
						<label class="control-label col-lg-2" for="enabled">Enabled</label>
						<div class="col-lg-10">
							<input type="checkbox" ng-model="modalMdf.enabled" id="enabled" />
						</div>
					</div>
				</div>

				<div class="modal-footer">
					<button class="btn btn-primary" type="submit">Save</button>
				</div>
			</div>
		</form>
	</div>
</div>

<!-- Modal to add new set  -->
<div id="setModal" class="modal fade" tabindex="-1" role="dialog">
	<div class="modal-dialog modal-lg">
		<form class="form-horizontal"
			ng-submit="saveOAISet(modalSet.setSpec, modalSet)">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal">&times;</button>
					<h4 class="modal-title">New OAI Set</h4>
				</div>
				<div class="modal-body">

					<div class="form-group">
						<label class="control-label col-lg-2" for="enabled">Enabled</label>
						<div class="col-lg-10">
							<div class="checkbox">
								<input type="checkbox" ng-model="modalSet.enabled" id="enabled" />
							</div>
						</div>
					</div>
					<div class="form-group">
						<label class="control-label col-lg-2" for="spec">SetSpec</label>
						<div class="col-lg-10">
							<input class="form-control" ng-model="modalSet.setSpec" id="spec"
								type="text" />
						</div>

					</div>
					<div class="form-group">
						<label for="name" class="control-label col-lg-2">Name</label>
						<div class="col-lg-10">
							<input class="form-control" ng-model="modalSet.setName" id="name"
								type="text" />
						</div>

					</div>
					<div class="form-group">
						<label for="descr" class="control-label col-lg-2">Description</label>
						<div class="col-lg-10">
							<textarea rows="10" ng-model="modalSet.setDescription" id="descr"
								class="input-xxlarge"></textarea>
						</div>

					</div>
					<div class="form-group">
						<label for="prefix" class="control-label col-lg-2">Query</label>
						<div class="col-lg-10">
							<input class="form-control" ng-model="modalSet.query" id="query"
								type="text" />
						</div>
					</div>
				</div>
				<div class="modal-footer">
					<div class="form-group">
						<div class="col-lg-offset-2 col-lg-10">
							<button class="btn btn-primary" type="submit">Save</button>
						</div>
					</div>
				</div>
			</div>
		</form>
	</div>
</div>


<!-- Modal to add new index TODO: add link that opens this! -->
<div id="indexModal" class="modal fade" tabindex="-1" role="dialog">
	<div class="modal-dialog modal-lg">
		<form class="form-horizontal"
			ng-submit="saveNewIndex(currentMdf.sourceFormatName, currentMdf.sourceFormatLayout, currentMdf.sourceFormatInterpretation, modalIndex)">

			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal">&times;</button>
					<h4 class="modal-title">New Index</h4>
				</div>
				<div class="modal-body">
					<div class="form-group">
						<label class="control-label col-lg-2" for="idxName">Index
							name</label>
						<div class="col-lg-10">
							<input ng-model="modalIndex.name" id="idxName" type="text" /> <select
								ng-model="modalIndex.repeatable" class="form-control">
								<option value="true" ng-selected="modalIndex.repeatable">Repeatable</option>
								<option value="false" ng-selected="!modalIndex.repeatable">Single
									value</option>
							</select>
						</div>
					</div>
					<div class="form-group">
						<label class="control-label col-lg-2" for="path">Path
							(multiple paths as ',' separated field)</label>
						<div class="col-lg-10">
							<input class="form-control" ng-model="modalIndex.paths" id="path"
								type="text" />
						</div>
					</div>
				</div>

				<div class="modal-footer">
					<div class="form-group">
						<div class="col-lg-offset-2 col-lg-10">
							<button class="btn btn-primary" type="submit">Save</button>
						</div>
					</div>
				</div>
			</div>
		</form>
	</div>
</div>

<!-- Modal to add new path to an index  -->
<div id="indexPathModal" class="modal fade" tabindex="-1" role="dialog">
	<div class="modal-dialog modal-lg">
		<form class="form-horizontal"
			ng-submit="saveNewPathIndex(currentMdf.sourceFormatName, currentMdf.sourceFormatLayout, currentMdf.sourceFormatInterpretation, modalIndex.name, newPath)">

			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal">&times;</button>
					<h4 class="modal-title">New path for index {{modalIndex.name}}</h4>
				</div>
				<div class="modal-body">

					<div class="form-group">
						<label class="control-label col-lg-2" for="path">Path:</label>
						<div class="col-lg-10">
							<input class="form-control" ng-model="newPath" id="newPath"
								type="text" />
						</div>
					</div>
				</div>
				<div class="modal-footer">
					<div class="form-group">
						<div class="col-lg-offset-2 col-lg-10">
							<button class="btn btn-primary" type="submit">Save</button>
						</div>
					</div>
				</div>
			</div>
		</form>
	</div>
</div>